io.netty.handler.codec.xml

## Class XmlContent

- java.lang.Object
- - io.netty.handler.codec.xml.XmlContent

Direct Known Subclasses:
  XmlCdata, XmlCharacters, XmlComment, XmlSpace

    public abstract class XmlContent
    extends Object

XML Content is base class for XML CDATA, Comments, Characters and Space

### Constructor Summary

Constructors
`protected` `XmlContent(String data)`

### Method Summary

All Methods Instance Methods Concrete Methods
`String` `data()`
`boolean` `equals(Object o)`
`int` `hashCode()`
`String` `toString()`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### XmlContent

    protected XmlContent(String data)

### Method Detail

#### data

    public String data()

#### equals

    public boolean equals(Object o)

Overrides:
  `equals` in class `Object`

#### hashCode

    public int hashCode()

Overrides:
  `hashCode` in class `Object`

#### toString

    public String toString()

Overrides:
  `toString` in class `Object`